;###############################################################################
;                                                                              #
; avrmusicbox V0.40 zweistimmige Klangerzeugung (Spieluhr) mit ATMEGA8/88      #
; (c)2006-2011 Jörg Wolfram   joerg@jcwolfram.de	                       #
;                                                                              #
; Dieses Programm ist freie Software. Sie können es unter den Bedingungen      #
; der GNU General Public License, wie von der Free Software Foundation         #
; veröffentlicht, weitergeben und/oder modifizieren, entweder gemäss           #
; Version 3 der Lizenz oder (nach Ihrer Option) jeder späteren Version.        #
;                                                                              #
; Die Veröffentlichung dieses Programms erfolgt in der Hoffnung, dass es       #
; Ihnen von Nutzen sein wird, aber OHNE IRGENDEINE GARANTIE, auch ohne die     #
; implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT FÜR EINEN          #
; BESTIMMTEN ZWECK. Details finden Sie in der GNU General Public License.      #
;                                                                              #
; Sie sollten ein Exemplar der GNU General Public License zusammen mit         #
; diesem Programm erhalten haben. Falls nicht, schreiben Sie an die Free       #
; Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110,    #
; USA.                                                                         #
;                                                                              #
; Jede Nutzung der Software/Informationen nonkonform zur GPL oder ausserhalb   #
; des Geltungsbereiches der GPL ist untersagt!                                 #
;                                                                              #
;###############################################################################
.equ	__ende	=	0xf0
.equ	takt16	=	0xf1
.equ	takt18	=	0xf2
.equ	takt14	=	0xf4
.equ	takt12	=	0xf8
.equ	takt36  =	0xf3
.equ	takt38  =	0xf6
.equ	takt34	=	0xfc

.equ	n116_1	=	0x80
.equ	n108_1	=	0x81
.equ	n316_1	=	0x82
.equ	n104_1	=	0x83
.equ	n308_1	=	0x84
.equ	n102_1	=	0x85
.equ	n304_1	=	0x86
.equ	n101_1	=	0x87

.equ	n116_2	=	0x88
.equ	n108_2	=	0x89
.equ	n316_2	=	0x8a
.equ	n104_2	=	0x8b
.equ	n308_2	=	0x8c
.equ	n102_2	=	0x8d
.equ	n304_2	=	0x8e
.equ	n101_2	=	0x8f

.equ	vol__1	=	0x90
.equ	vol__2	=	0x98

.equ	ver__1	=	0xa0
.equ	ver__2	=	0xa8

.equ	wadr_1	=	0xb0
.equ	wadr_2	=	0xb8

.equ	eadr_1	=	0xc0
.equ	eadr_2	=	0xc8

.equ	_endvs	=	0xe0
.equ	_dummy	=	0xef

.equ	c0___1	=	0x00
.equ	cis0_1	=	0x01
.equ	d0___1	=	0x02
.equ	dis0_1	=	0x03
.equ	e0___1	=	0x04
.equ	f0___1	=	0x05
.equ	fis0_1	=	0x06
.equ	g0___1	=	0x07
.equ	gis0_1	=	0x08
.equ	a0___1	=	0x09
.equ	b0___1	=	0x0a
.equ	h0___1	=	0x0b
.equ	c1___1	=	0x0c
.equ	cis1_1	=	0x0d
.equ	d1___1	=	0x0e
.equ	dis1_1	=	0x0f
.equ	e1___1	=	0x10
.equ	f1___1	=	0x11
.equ	fis1_1	=	0x12
.equ	g1___1	=	0x13
.equ	gis1_1	=	0x14
.equ	a1___1	=	0x15
.equ	b1___1	=	0x16
.equ	h1___1	=	0x17
.equ	c2___1	=	0x18
.equ	cis2_1	=	0x19
.equ	d2___1	=	0x1a
.equ	dis2_1	=	0x1b
.equ	e2___1	=	0x1c
.equ	f2___1	=	0x1d
.equ	fis2_1	=	0x1e
.equ	g2___1	=	0x1f
.equ	gis2_1	=	0x20
.equ	a2___1	=	0x21
.equ	b2___1	=	0x22
.equ	h2___1	=	0x23
.equ	c3___1	=	0x24
.equ	cis3_1	=	0x25
.equ	d3___1	=	0x26
.equ	dis3_1	=	0x27
.equ	e3___1	=	0x28
.equ	f3___1	=	0x29
.equ	fis3_1	=	0x2a
.equ	g3___1	=	0x2b
.equ	gis3_1	=	0x2c
.equ	a3___1	=	0x2d
.equ	b3___1	=	0x2e
.equ	h3___1	=	0x2f
.equ	c4___1	=	0x30
.equ	cis4_1	=	0x31
.equ	d4___1	=	0x32
.equ	dis4_1	=	0x33
.equ	e4___1	=	0x34
.equ	f4___1	=	0x35
.equ	fis4_1	=	0x36
.equ	g4___1	=	0x37
.equ	gis4_1	=	0x38
.equ	a4___1	=	0x39
.equ	b4___1	=	0x3a
.equ	h4___1	=	0x3b
.equ	c5___1	=	0x3c
.equ	cis5_1	=	0x3d
.equ	d5___1	=	0x3e
.equ	dis5_1	=	0x3f

.equ	c0___2	=	0x40
.equ	cis0_2	=	0x41
.equ	d0___2	=	0x42
.equ	dis0_2	=	0x43
.equ	e0___2	=	0x44
.equ	f0___2	=	0x45
.equ	fis0_2	=	0x46
.equ	g0___2	=	0x47
.equ	gis0_2	=	0x48
.equ	a0___2	=	0x49
.equ	b0___2	=	0x4a
.equ	h0___2	=	0x4b
.equ	c1___2	=	0x4c
.equ	cis1_2	=	0x4d
.equ	d1___2	=	0x4e
.equ	dis1_2	=	0x4f
.equ	e1___2	=	0x50
.equ	f1___2	=	0x51
.equ	fis1_2	=	0x52
.equ	g1___2	=	0x53
.equ	gis1_2	=	0x54
.equ	a1___2	=	0x55
.equ	b1___2	=	0x56
.equ	h1___2	=	0x57
.equ	c2___2	=	0x58
.equ	cis2_2	=	0x59
.equ	d2___2	=	0x5a
.equ	dis2_2	=	0x5b
.equ	e2___2	=	0x5c
.equ	f2___2	=	0x5d
.equ	fis2_2	=	0x5e
.equ	g2___2	=	0x5f
.equ	gis2_2	=	0x60
.equ	a2___2	=	0x61
.equ	b2___2	=	0x62
.equ	h2___2	=	0x63
.equ	c3___2	=	0x64
.equ	cis3_2	=	0x65
.equ	d3___2	=	0x66
.equ	dis3_2	=	0x67
.equ	e3___2	=	0x68
.equ	f3___2	=	0x69
.equ	fis3_2	=	0x6a
.equ	g3___2	=	0x6b
.equ	gis3_2	=	0x6c
.equ	a3___2	=	0x6d
.equ	b3___2	=	0x6e
.equ	h3___2	=	0x6f
.equ	c4___2	=	0x70
.equ	cis4_2	=	0x71
.equ	d4___2	=	0x72
.equ	dis4_2	=	0x73
.equ	e4___2	=	0x74
.equ	f4___2	=	0x75
.equ	fis4_2	=	0x76
.equ	g4___2	=	0x77
.equ	gis4_2	=	0x78
.equ	a4___2	=	0x79
.equ	b4___2	=	0x7a
.equ	h4___2	=	0x7b
.equ	c5___2	=	0x7c
.equ	cis5_2	=	0x7d
.equ	d5___2	=	0x7e
.equ	dis5_2	=	0x7f

